Skip to main content
GET
/
storefronts
/
{platformId}
/
inventory-sources
List inventory sources
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/partner/storefronts/{platformId}/inventory-sources \
  --header 'Authorization: Bearer <token>'
[
  {
    "sourceId": "<string>",
    "name": "<string>",
    "executionType": "<string>",
    "executionConfig": {},
    "status": "pending",
    "agentId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "type": "SALES",
    "endpointUrl": "<string>",
    "protocol": "MCP",
    "authenticationType": "API_KEY",
    "authConfigured": true,
    "oauth": {
      "authorizationUrl": "<string>",
      "agentId": "<string>",
      "agentName": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

platformId
string
required

Storefront platform ID slug

Minimum string length: 1
Example:

"cvs-media"

Response

List inventory sources

sourceId
string
required

Unique identifier within the storefront

name
string
required

Display name

executionType
string
required

Execution type

executionConfig
object
required

Execution configuration

status
enum<string>
required

Source lifecycle status

Available options:
pending,
active,
disabled
agentId
string | null
required

Linked agent ID (when executionType is agent)

createdAt
string<date-time>
required

Creation timestamp (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required

Last update timestamp (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
type
enum<string> | null

Agent type

Available options:
SALES,
SIGNAL,
CREATIVE,
OUTCOME
endpointUrl
string | null

Agent endpoint URL

protocol
enum<string> | null

Agent protocol

Available options:
MCP,
A2A
authenticationType
enum<string> | null

Agent authentication type

Available options:
API_KEY,
NO_AUTH,
JWT,
OAUTH
authConfigured
boolean

Whether the agent has authentication configured

oauth
object

OAuth authorization info (for OAUTH agents)